Skip to main content
POST
/
api
/
alerts
/
token
{
  "token": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
}

Authentication

No authentication required.

Request Body

email
string
required
The email address to associate with the alert token.

Response

token
string
Persistent hex token for use in the X-Alert-Token header on alert and view endpoints.
cURL
curl -X POST "https://api.consumersignals.io/api/alerts/token" \
  -H "Content-Type: application/json" \
  -d '{"email": "analyst@example.com"}'
Python
import requests

response = requests.post(
    "https://api.consumersignals.io/api/alerts/token",
    json={"email": "analyst@example.com"}
)
data = response.json()
token = data["token"]
TypeScript
const response = await fetch(
  "https://api.consumersignals.io/api/alerts/token",
  {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ email: "analyst@example.com" }),
  }
);
const { token } = await response.json();
{
  "token": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
}